> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slant.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update relationship labels



## OpenAPI

````yaml /api-reference/openapi.yaml patch /v1/related_records/{id}
openapi: 3.0.1
info:
  title: Slant Public API V1
  version: v1
  description: Public API for creating and managing resources in Slant
  contact:
    name: Slant API Support
    email: api@slant.com
servers:
  - url: https://api.slant.app
security:
  - bearer: []
paths:
  /v1/related_records/{id}:
    patch:
      tags:
        - Related records
      summary: Update relationship labels
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                relationship_to_source:
                  type: string
                  nullable: true
                  description: How the source relates to the target
                relationship_to_target:
                  type: string
                  nullable: true
                  description: How the target relates to the source
      responses:
        '200':
          description: Updated
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: OAuth
      description: OAuth 2.0 Bearer Token from Clerk authentication

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.